package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Ptc;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface PtcMapper {
    Ptc selectByPtyinrAndTyp(@Param("ptyinr") String ptyinr, @Param("boptyp") String boptyp);

    List<Ptc> selectByPtyinr(@Param("ptyinr") String ptyinr);

    int insert(Ptc ptc);

    int updateByPrimaryKey(Ptc ptc);

    int deleteByInr(@Param("inr") String inr);

    Ptc selectByInr(@Param("inr") String inr);

    /**
     * 通过客户 组织机构代码 查询维护的申报联系人信息
     * @param juscod
     * @param boptyp
     * @return
     */
    List<Ptc> selectByJuscod(@Param("juscod") String juscod,@Param("boptyp") String boptyp);

    /**
     * 通过客户身份号码 查询维护的申报联系人信息
     * @param idcode
     * @param boptyp
     * @return
     */
    List<Ptc> selectByIdcode(@Param("idcode") String idcode,@Param("boptyp") String boptyp);
}
